package message;

import java.io.Serializable;
import java.util.Date;

/**
 * User: sumb
 * Date: 5/26/11
 * Time: 10:23 PM
 */
public final class Message implements CoreMessage, Serializable
{
    private final String name;
    private final Date date;
    private final String message;

    public Message(final String name, final String message)
    {
        this.name = name;
        this.message = message;
        this.date = new Date();
    }

    public String getMessage()
    {
        return message;
    }

    public String getName()
    {
        return name;
    }

    public Date getDate()
    {
        return date;
    }

    public String toString()
    {
        return "[" + date.toString() + "] " + name + ": " + message;
    }
}
